Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356271 - GPU lockup when watching a full screen movie in totem with R9 390
Summary: GPU lockup when watching a full screen movie in totem with R9 390
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 20:49 UTC by Jarno Purontakanen
Modified: 2017-08-08 15:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:35:01 UTC


Attachments (Terms of Use)
Part of the kernel log showing the gpu-lockup (deleted)
2016-07-13 20:49 UTC, Jarno Purontakanen
no flags Details
GLXinfo of my system (deleted)
2016-07-13 20:51 UTC, Jarno Purontakanen
no flags Details
Screenshot of a corruption seen in totem after the lockup (deleted)
2016-07-13 20:53 UTC, Jarno Purontakanen
no flags Details
journalctl -e _COMM=gdm-x-session output (deleted)
2016-07-13 21:03 UTC, Jarno Purontakanen
no flags Details
lspci -nn output (deleted)
2016-07-13 21:04 UTC, Jarno Purontakanen
no flags Details
dmesg output with drm.debug=14 log_buf_len=16M (deleted)
2016-07-13 21:15 UTC, Jarno Purontakanen
no flags Details
journalctl -b -t kernel output with drm.debug=14 log_buf_len=16M (deleted)
2016-07-13 21:18 UTC, Jarno Purontakanen
no flags Details

Description Jarno Purontakanen 2016-07-13 20:49:54 UTC
Created attachment 1179417 [details]
Part of the kernel log showing the gpu-lockup

Description of problem:
When using totem to watch videos in full screen mode I'm getting gpu lockups that freeze the ui drawing for few seconds after which the drawing resumes. Audio and other activities continue on the background. Oddly enough I can't get the lockup to happen if totem is not in full screen mode. Also after the first lockup I haven't been able to reproduce the problem without restarting the system.
I've been having this problem on Fedora 23 as well after I switched to the current R9 390 from my old HD6870, but there the lockup was permanent so debugging was quite hard as only way was to hard-reboot the system.

Version-Release number of selected component (if applicable):
Fully updated Fedora 24 Workstation (as of 13.7.2016 23.44.24 +0300)

How reproducible:
Reproducible quite easily after clean boot of the system. Not reproducible when lockup has occured once on the same boot.

Steps to Reproduce:
1. Download Big Buck Bunny 1080p 60fps video from http://distribution.bbb3d.renderfarming.net/video/mp4/bbb_sunflower_1080p_60fps_normal.mp4
2. Open the video using totem and start playing it in full screen mode
3. Withing few minutes the drawing freezes for few seconds and logs show a gpu lockup (Switching in and out of full screen constantly might help to reproduce, not sure though)

Actual results:
gpu locks up

Expected results:
No lockups should happen.

Additional info:
I'll attach my glxinfo and kernel logs showing the lockup. I've also noticed some graphical corruption after the lockup when switching fullscreen on and off in totem so I've attached a screenshot of that aswell.

Comment 1 Jarno Purontakanen 2016-07-13 20:51:22 UTC
Created attachment 1179418 [details]
GLXinfo of my system

Comment 2 Jarno Purontakanen 2016-07-13 20:53:56 UTC
Created attachment 1179431 [details]
Screenshot of a corruption seen in totem after the lockup

This corruption is very brief and is just noticeable when totem is switching from/to fullscreen mode.

Comment 3 Jarno Purontakanen 2016-07-13 21:03:14 UTC
Created attachment 1179433 [details]
journalctl -e _COMM=gdm-x-session output

Comment 4 Jarno Purontakanen 2016-07-13 21:04:45 UTC
Created attachment 1179437 [details]
lspci -nn output

Comment 5 Jarno Purontakanen 2016-07-13 21:15:45 UTC
Created attachment 1179438 [details]
dmesg output with drm.debug=14 log_buf_len=16M

As requested by https://fedoraproject.org/wiki/How_to_debug_Xorg_problems

Comment 6 Jarno Purontakanen 2016-07-13 21:18:50 UTC
Created attachment 1179439 [details]
journalctl -b -t kernel output with drm.debug=14 log_buf_len=16M

As requested by https://fedoraproject.org/wiki/How_to_debug_Xorg_problems

Comment 7 Fedora End Of Life 2017-07-25 21:47:41 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2017-08-08 15:35:01 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.